Loading...
Searching...
No Matches
Dune::Amg::AggregationCriterion< T > Class Template Reference
Iterative Solvers Template Library (ISTL) » Iterative Solvers » Preconditioners » Parallel Algebraic Multigrid

Base class of all aggregation criterions. More...

`#include <dune/istl/paamg/aggregates.hh>`

Inheritance diagram for Dune::Amg::AggregationCriterion< T >:

## Public Types

typedef T | DependencyPolicy
| The policy for calculating the dependency graph.

## Public Member Functions

| AggregationCriterion ()
| Constructor.
| AggregationCriterion (const Parameters &parms)
void | setDefaultValuesIsotropic (std::size_t dim, std::size_t diameter=2)
| Sets reasonable default values for an isotropic problem.
void | setDefaultValuesAnisotropic (std::size_t dim, std::size_t diameter=2)
| Sets reasonable default values for an aisotropic problem.

## Detailed Description

template<class T>
class Dune::Amg::AggregationCriterion< T >

Base class of all aggregation criterions.

The documentation for this class was generated from the following file:

- aggregates.hh